package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.PopulationRegionResultModel;

import java.util.List;

public interface IMSPopulationRegionService {
    List<PopulationRegionResultModel> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(PopulationRegionResultModel inputModel);

    PopulationRegionResultModel edit(long id);

    ResultState doEdit(PopulationRegionResultModel inputModel);
}
